package driving

import (
	"context"
	"edp.buildth.ing/DevFW-CICD/edge-connect-client/internal/core/domain"
)

type CloudletService interface {
	CreateCloudlet(ctx context.Context, region string, cloudlet *domain.Cloudlet) error
	ShowCloudlet(ctx context.Context, region string, cloudletKey domain.CloudletKey) (*domain.Cloudlet, error)
	ShowCloudlets(ctx context.Context, region string, cloudletKey domain.CloudletKey) ([]domain.Cloudlet, error)
	DeleteCloudlet(ctx context.Context, region string, cloudletKey domain.CloudletKey) error
}
